module.exports = {
  title: 'Remx',
  tagline: '',//TODO: add descriptive tagline
  url: 'https://wix.github.io',
  baseUrl: '/remx/',
  onBrokenLinks: 'throw',
  favicon: 'img/favicon.ico',
  organizationName: 'wix', // Usually your GitHub org/user name.
  projectName: 'remx', // Usually your repo name.
  themeConfig: {
    navbar: {
      title: 'Remx',
      logo: {
        alt: 'Remx Logo',
        src: 'img/logo.svg',
      },
      items: [
        {
          to: 'docs/introduction/getting-started',
          activeBasePath: 'docs/introduction/',
          label: 'Docs',
          position: 'left',
        },
        {to: 'docs/api', label: 'API', position: 'left'},
        {
          href: 'https://github.com/wix/remx',
          label: 'GitHub',
          position: 'right',
        },
      ],
    },
    footer: {
      style: 'dark',
      links: [
        {
          title: 'Docs',
          items: [
            {
              label: 'Getting Started',
              to: 'docs/introduction/getting-started',
            },
            {
              label: 'Motivation',
              to: 'docs/introduction/motivation',
            },
            {
              label: 'API',
              to: 'docs/api/',
            },
          ],
        },
        {
          title: 'Find us',
          items: [
            {
              label: 'GitHub',
              href: 'https://github.com/wix/remx',
            },
            {
              label: 'Create Issue',
              href: 'https://github.com/wix/remx/issues/new',
            },
            {
              label: 'Wix Engineering',
              href: 'https://www.wix.engineering/',
            }
          ],
        },
      ],
      copyright: `Copyright © ${new Date().getFullYear()} <a href="https://www.wix.com/">Wix.com, Inc.</a>`,
    },
  },
  presets: [
    [
      '@docusaurus/preset-classic',
      {
        docs: {
          sidebarPath: require.resolve('./sidebars.js'),
          editUrl:
            'https://github.com/wix/remx/edit/master/website/',
        },
        theme: {
          customCss: require.resolve('./src/css/custom.css'),
        },
      },
    ],
  ],
};
